# Uses of Class
org.eclipse.draw2d.geometry.PointList

Packages that use PointList
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.
org.eclipse.draw2d.geometry
Types representing or manipulating geometric values, such as Points, Dimensions, etc.
org.eclipse.draw2d.graph
Stand-alone algorithms related to Graph Drawing.

## Uses of PointList in org.eclipse.draw2d

Fields in org.eclipse.draw2d declared as PointList
Modifier and Type
Field
Description
`static final PointList`
PolygonDecoration.`INVERTED_TRIANGLE_TIP`
Template for a triangle that points to the left when the rotation angle is 0
`protected PointList`
Triangle.`triangle`
The points of the triangle.
`static final PointList`
PolygonDecoration.`TRIANGLE_TIP`
Template for a triangle that points to the right when the rotation angle is 0
`static final PointList`
PolylineDecoration.`TRIANGLE_TIP`
A triangle template
Methods in org.eclipse.draw2d that return PointList
Modifier and Type
Method
Description
`protected PointList`
ViewportAwareConnectionLayerClippingStrategy.`getAbsolutePointsAsCopy(Connection connection)`
Returns the connection's points in absolute coordinates.
`PointList`
AbstractPointListShape.`getPoints()`
Returns the points in this figure by reference.
`PointList`
Connection.`getPoints()`
Returns the PointList containing the Points that make up this Connection.
`PointList`
PolygonDecoration.`getPoints()`
Returns the points in the PolygonDecoration as a PointList.
`PointList`
PolylineDecoration.`getPoints()`
`PointList`
ScalablePolygonShape.`getScaledPoints()`
Methods in org.eclipse.draw2d with parameters of type PointList
Modifier and Type
Method
Description
`abstract void`
Graphics.`drawPolygon(PointList points)`
Draws a closed polygon defined by the given `PointList` containing the vertices.
`void`
ScaledGraphics.`drawPolygon(PointList points)`
`void`
SWTGraphics.`drawPolygon(PointList points)`
`abstract void`
Graphics.`drawPolyline(PointList points)`
Draws a polyline defined by the given `PointList` containing the vertices.
`void`
ScaledGraphics.`drawPolyline(PointList points)`
`void`
SWTGraphics.`drawPolyline(PointList points)`
`abstract void`
Graphics.`fillPolygon(PointList points)`
Fills a closed polygon defined by the given `PointList` containing the vertices.
`void`
ScaledGraphics.`fillPolygon(PointList points)`
`void`
SWTGraphics.`fillPolygon(PointList points)`
`protected Point`
ConnectionLocator.`getLocation(PointList points)`
Returns a point from the passed PointList, dependent on ConnectionLocator's alignment.
`protected abstract void`
AutomaticRouter.`handleCollision(PointList list, int index)`
Handles collisions between 2 or more Connections.
`protected void`
FanRouter.`handleCollision(PointList points, int index)`
Modifies a given PointList that collides with some other PointList.
`void`
AbstractPointListShape.`setPoints(PointList points)`
Sets the list of points to be used by this figure.
`void`
Connection.`setPoints(PointList list)`
Sets the PointList containing the Points that make up this Connection.
`void`
Polyline.`setPoints(PointList points)`
Sets the list of points to be used by this polyline connection.
`void`
ScalablePolygonShape.`setPoints(PointList points)`
`void`
PolygonDecoration.`setTemplate(PointList pl)`
Sets the PolygonDecorations point template to the passed PointList.
`void`
PolylineDecoration.`setTemplate(PointList pl)`
Sets the PolylineDecoration's point template.

## Uses of PointList in org.eclipse.draw2d.geometry

Subclasses of PointList in org.eclipse.draw2d.geometry
Modifier and Type
Class
Description
`final class`
`PrecisionPointList`
A PointList implementation using floating point values.
Methods in org.eclipse.draw2d.geometry that return PointList
Modifier and Type
Method
Description
`PointList`
PointList.`getCopy()`
Creates a copy
`PointList`
PrecisionPointList.`getCopy()`
Methods in org.eclipse.draw2d.geometry with parameters of type PointList
Modifier and Type
Method
Description
`void`
PointList.`addAll(PointList source)`
Appends all of the given points to this PointList.
`void`
PrecisionPointList.`addAll(PointList points)`
`static boolean`
Geometry.`polygonContainsPoint(PointList points, int x, int y)`
One simple way of finding whether the point is inside or outside a simple polygon is to test how many times a ray starting from the point intersects the edges of the polygon.
`static boolean`
Geometry.`polylineContainsPoint(PointList points, int x, int y, int tolerance)`
Constructors in org.eclipse.draw2d.geometry with parameters of type PointList
Modifier
Constructor
Description
``
`PrecisionPointList(PointList points)`
Constructs a PrecisionPointList with the given points.

## Uses of PointList in org.eclipse.draw2d.graph

Methods in org.eclipse.draw2d.graph that return PointList
Modifier and Type
Method
Description
`PointList`
Path.`getBendPoints()`
Returns the list of constrained points through which this path must pass or `null`.
`PointList`
Edge.`getPoints()`
Returns the path connecting the edge's source and target.
`PointList`
Path.`getPoints()`
Returns the solution to this path.
Methods in org.eclipse.draw2d.graph with parameters of type PointList
Modifier and Type
Method
Description
`void`
Path.`setBendPoints(PointList bendPoints)`
Sets the list of bend points to the given list and dirties the path.